curl --request GET \
--url https://api.pgw-sandbox.finventi.com/getTransactionsListimport requests
url = "https://api.pgw-sandbox.finventi.com/getTransactionsList"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.pgw-sandbox.finventi.com/getTransactionsList', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"meta": {
"amount": 123,
"limit": 123,
"offset": 123
},
"result": [
{
"amount": 123,
"currency_isocode_alphabetic": "<string>",
"direction": "OUTBOUND",
"sepa_msg_id": "<string>",
"status": "<string>",
"status_hardvalue": "<string>",
"transaction_id": 123,
"type": "<string>",
"type_id": 123,
"compensation_amount": 123,
"creditor_account": "<string>",
"creditor_account_other": {
"id": "<string>",
"issuer": "<string>",
"scheme_name_code": "<string>"
},
"creditor_bank_bic": "<string>",
"creditor_code": "<string>",
"creditor_name": "<string>",
"datetime": "2023-11-07T05:31:56Z",
"debtor_account": "<string>",
"debtor_account_other": {
"id": "<string>",
"issuer": "<string>",
"scheme_name_code": "<string>"
},
"debtor_bank_bic": "<string>",
"debtor_code": "<string>",
"debtor_name": "<string>",
"end_to_end_id": "<string>",
"method": "SEPA",
"origin_bic": "<string>",
"origin_name": "<string>",
"origin_reason_code": "<string>",
"origin_reason_info": "<string>",
"parent_trx_amt": 123,
"parent_trx_id": 123,
"rtrn_chrgs_amt": 123,
"sepa_trx_id": "<string>",
"settlement_date": "2023-12-25",
"trx_purpose": "<string>",
"trx_purpose_information": "<string>",
"trx_purpose_structured_issuer": "<string>",
"trx_purpose_structured_ref": "<string>",
"uetr": "<string>",
"unaccounted_tax_amt": 123,
"updated_at": "2023-11-07T05:31:56Z"
}
]
}{
"code": "<string>",
"data": {
"errors": [
{
"code": "<string>",
"field_name": "<string>",
"message": "<string>",
"value": "<string>"
}
],
"message": "<string>"
},
"message": "<string>"
}{
"code": "<string>",
"data": {
"errors": [
{
"code": "<string>",
"field_name": "<string>",
"message": "<string>",
"value": "<string>"
}
],
"message": "<string>"
},
"message": "<string>"
}Get transactions list (v0)
Retrieves payment transactions from the deprecated v0 endpoint using offset-based pagination.
Migrate from v0
If you migrate throughGET /v2/transaction/search, it accepts the same filters as this endpoint with three differences:
| v0 | v2 |
|---|---|
offset | next_page_token and previous_page_token |
sort | Not supported |
| — | metadata filter added |
meta and result, but the pagination metadata changes from amount, limit, and offset to next_page_token and previous_page_token. Transactions returned by v2 can also include metadata. Then follow the v2 to v3 migration guidance to move to the current endpoint.Query Parameters
A limit on the number of objects to be returned. Default is 10 items.
1 <= x <= 100A cursor for use in pagination. Default is 0 items.
x >= 0A filter by transaction ID.
A filter by debtor bank code.
A filter by creditor bank code.
A filter by transaction datetime from (ISO-8601 format: 2020-01-01T12:00:00Z).
A filter by transaction datetime from (ISO-8601 format: 2020-01-01T12:00:00Z).
A filter by settlement date from or equal (ISO-8601 format: 2020-01-01).
A filter by settlement date to or equal (ISO-8601 format: 2020-01-01).
A filter by endToEnd ID.
A filter by UETR.
A filter by transaction method. Multiple values are supported e.g. schema=SEPA&schema=INST
SEPA, INST, SDD, SWIFT, T2 A filter by direction of transactions.
OUTBOUND, INBOUND A filter by Parent Transaction ID.
A filter by transaction Type ID. List of available Type IDs can be retrieved via /getTransactionTypes
Currency (ISO 4217). When provided, results are filtered to this currency AND the amount filters below (amount_from/to, unaccounted_tax_amount_from/to, compensation_amount_from/to) are interpreted as minor units of this currency. When omitted, results are not filtered by currency and amount filters are interpreted as EUR minor units.
A filter by amount (minor currency units of currency, default EUR) from or equal.
A filter by amount (minor currency units of currency, default EUR) to or equal.
A filter by unaccounted tax amount (minor currency units of currency, default EUR) from or equal.
A filter by unaccounted tax amount (minor currency units of currency, default EUR) to or equal.
A filter by compensation amount (minor currency units of currency, default EUR) from or equal.
A filter by compensation amount (minor currency units of currency, default EUR) to or equal.
A filter by debtor account.
A filter by creditor account.
A filter by transaction Status ID. List of available Status IDs can be retrieved via /getTransactionStatuses
A filter by transaction Status ID. List of available Status IDs can be retrieved via /getTransactionStatuses
A sort by datetime, settlement_date, transaction_id fields, updated_at. Multiple values are accepted. Example values: datetime,asc; transaction_id,desc
Show child attributes
Show child attributes